### Hierarchy

- Source
  - VectorSource

## Index

### Constructors

- constructor

### Properties

- _map
- _source
- id
- type

### Methods

- addTo

## Constructors

### constructor

- new VectorSource(source: any, id?: string): VectorSource

- Overwrites Source.constructor

  - Defined in Source.ts:53

  #### Parameters

  - ##### source: any

  - ##### Optional id: string

  #### Returns VectorSource

## Properties

### _map

_map: any

Inherited from Source._map

- Defined in Source.ts:14

### _source

_source: any

Inherited from Source._source

- Defined in Source.ts:13

### id

id: string

Inherited from Source.id

- Defined in Source.ts:11

### type

type: string

Inherited from Source.type

- Defined in Source.ts:12

## Methods

### addTo

- addTo(map: Map): Source

- Inherited from Source.addTo

  - Defined in Source.ts:43

  #### Parameters

  - ##### map: Map

  #### Returns Source

Generated using TypeDoc